Resources
All operations require authentication.
List resourcesProduction
Returns the resources of the account. Filter by resourceType, resourceName, resourceURN pattern and tag filters.
Query parameters
Filter resources for specific resource names
Filter resources for specific resource types
Filter resources for specific resource URN patterns
Filter resources using tag filters
Headers
Pagination cursor
Pagination size
Response
Resource display name
Identifier of the resource
Resource name
Resource owner
Resource tags. Tags that were internally computed are prefixed with ovh:
Resource type. All types can be retrieved at /reference/resource/type.
Unique resource name used in policies
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ resource \
-H "authorization: Bearer $OVH_TOKEN"[ { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "tags": { "key": "string" }, "type": "string", "urn": "string" }]
Get a resourceProduction
Returns the details of a resource identified by its URN.
Path parameters
ResourceURN
Response
Resource display name
Identifier of the resource
Resource name
Resource owner
Resource tags. Tags that were internally computed are prefixed with ovh:
Resource type. All types can be retrieved at /reference/resource/type.
Unique resource name used in policies
Example uses resourceURN = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ iam/ resource/ {resourceURN} \
-H "authorization: Bearer $OVH_TOKEN"{ "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "tags": { "key": "string" }, "type": "string", "urn": "string"}